Package org.xnio

# Class ByteBufferPool.Set

java.lang.Object
org.xnio.ByteBufferPool.Set

Enclosing class:
  `ByteBufferPool`

public static final class ByteBufferPool.Set extends Object
A set of buffer pools for each size, which can either be `DIRECT` or `HEAP`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ByteBufferPool.Set`
`DIRECT`
The direct buffer source set.
`static final ByteBufferPool.Set`
`HEAP`
The heap buffer source set.

## Method Summary

Modifier and Type
Method
Description
`ByteBufferPool`
`getLarge()`
Get the large buffer pool for this set.
`ByteBufferPool`
`getNormal()`
Get the medium buffer pool for this set.
`ByteBufferPool`
`getSmall()`
Get the small buffer pool for this set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DIRECT

public static final ByteBufferPool.Set DIRECT
The direct buffer source set.

### HEAP

public static final ByteBufferPool.Set HEAP
The heap buffer source set.

## Method Details

### getSmall

public ByteBufferPool getSmall()
Get the small buffer pool for this set.

Returns:
  the small buffer pool for this set

### getNormal

public ByteBufferPool getNormal()
Get the medium buffer pool for this set.

Returns:
  the medium buffer pool for this set

### getLarge

public ByteBufferPool getLarge()
Get the large buffer pool for this set.

Returns:
  the large buffer pool for this set